सामग्री पर जाएँ

Flux Pro Erase

इंटीग्रेट करें

मॉडल id flux-pro/v1/erase
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/flux-pro/v1/erase?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "mask": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

उदाहरण जैसी फ़ाइलें: $0.042 42 API क्रेडिट चलाने से पहले आपकी फ़ाइलों को मापा जाता है इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें
Black Forest Labs इमेज एडिटिंग #utility#editing

ऑब्जेक्ट और टेक्स्ट इरेज़र, जो इमेज से मास्क की गई सामग्री हटाता है

Black Forest Labs · इमेज

आपका पहला परिणाम यहाँ आएगा

नीचे एक अनुरोध बनाएँ और उसे अपनी API कुंजी से चलाएँ। आउटपुट हमारे स्टोरेज में कॉपी किए जाते हैं और हमेशा के लिए या 7 दिन तक मुफ़्त में रखे जाते हैं।

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

•आवश्यक image_url
फ़ाइल ड्रॉप करें, या

कंटेंट मिटाने के लिए स्रोत इमेज URL।

•आवश्यक mask_url
फ़ाइल ड्रॉप करें, या

काले (0) पिक्सेल बनाए रखने या सफ़ेद (255) पिक्सेल मिटाने के लिए मास्क इमेज URL। इनपुट के आयामों से मेल खाती काली-सफ़ेद इमेज दें।

उन्नत output_format · dilate_pixels · enable_safety_checker
output_format डिफ़ॉल्ट jpeg

परिणामी इमेज का फ़ाइल फ़ॉर्मैट।

डिफ़ॉल्ट 10

मिटाने की सीमा के पास बेहतर परिणामों के लिए मास्क को इतने पिक्सेल बाहर की ओर फैलाएँ; अधिक विस्तार से परिणाम अधिक साफ़ होते हैं।

POST /run/flux-pro/v1/erase?wait=20 कोटेशन → $0.042
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/flux-pro/v1/erase?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "mask": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

Flux Pro Erase के बारे में

`image_url` से वह सामग्री हटाता है जहाँ काले/सफ़ेद `mask_url` में सफ़ेद पिक्सेल हटाने के लिए चिह्नित होते हैं; मास्क का आकार इमेज के समान होना चाहिए। `dilate_pixels` (0 से 100, डिफ़ॉल्ट 10) बेहतर परिणामों के लिए मास्क के किनारों को फैलाता है। प्रॉम्प्ट आवश्यक नहीं है। आउटपुट jpeg या png होता है।

पैरामीटर

कैनोनिकल नाम या नेटिव नाम में से कोई एक भेजें, दोनों नहीं। कैनोनिकल नाम

नामप्रकार डिफ़ॉल्टअनुमत विवरण
image_urlआवश्यक image
प्रकारurl · image
कंटेंट मिटाने के लिए स्रोत इमेज URL।
mask_urlआवश्यक mask
प्रकारurl · image
काले (0) पिक्सेल बनाए रखने या सफ़ेद (255) पिक्सेल मिटाने के लिए मास्क इमेज URL। इनपुट के आयामों से मेल खाती काली-सफ़ेद इमेज दें।
dilate_pixelsवैकल्पिक
प्रकारinteger
डिफ़ॉल्ट10
0 – 100
मिटाने की सीमा के पास बेहतर परिणामों के लिए मास्क को इतने पिक्सेल बाहर की ओर फैलाएँ; अधिक विस्तार से परिणाम अधिक साफ़ होते हैं।
output_formatवैकल्पिक
प्रकारenum
डिफ़ॉल्टjpeg
jpegpng
परिणामी इमेज का फ़ाइल फ़ॉर्मैट।
enable_safety_checkerवैकल्पिक
प्रकारboolean
डिफ़ॉल्टtrue
यदि कॉलर अधिकृत है, तो false सेट करके स्क्रीनिंग में ढील दी जा सकती है।
आवश्यक कैनोनिकल नाम, यह भी स्वीकार्य है

फ़ाइल पैरामीटर में सार्वजनिक https:// URL, 10 MB तक का data: URI, या अपलोड का file_url लिया जाता है। फ़ाइलें

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "flux-pro/v1/erase",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 42,
    "usd": "0.042",
    "charged": 42,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "mask_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "width": 1024,
        "height": 768,
        "content_type": "image/jpeg"
      }
    ],
    "timings": {},
    "seed": 42,
    "has_nsfw_concepts": [
      false
    ],
    "prompt": "string"
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
images
array of object {url, width, height, content_type}निर्मित इमेज की फ़ाइल जानकारी।
timings
object
seed
integerइमेज-निर्माण seed, जिसमें इनपुट में seed न दिए जाने पर यादृच्छिक रूप से चुना गया मान शामिल है; अन्यथा, यह दिए गए मान को दोहराता है।
has_nsfw_concepts
array of booleanबताता है कि बनाई गई इमेज में NSFW अवधारणाएँ दिखाई देती हैं या नहीं।
prompt
stringइमेज निर्माण के दौरान उपयोग किया गया प्रॉम्प्ट।

और मॉडल: इमेज एडिटिंग

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/flux-pro/v1/erase.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt